Guard Weisz:
Recently a very interesting archeological site has been discovered whose origins are still unclear. People who have seen it say that it is divided in two, a Temple of Fire and a Temple of Water. By all accounts the place is swarming with monsters.
If you are interested, you should visit Magister Nell of the Mystics Guild. They are trying to hire someone to investigate the site for them.
Return